%define major 11
%define libname %mklibname idn %{major}
%define devname %mklibname idn -d

%{?build_java}%{?!build_java:%bcond_without java}
%{?build_mono}%{?!build_mono:%bcond_without mono}

Summary:	Internationalized string processing library
Name:		libidn
Version:	1.33
Release:	1
License:	LGPLv2.1+
Group:		System/Libraries
Url:		http://www.gnu.org/software/libidn/
Source0:	http://ftp.gnu.org/gnu/libidn/%{name}-%{version}.tar.gz
Source1:	http://ftp.gnu.org/gnu/libidn/%{name}-%{version}.tar.gz.sig
Patch0:		libidn-1.32-automake-1.12.patch
BuildRequires:	gengetopt
BuildRequires:	gtk-doc
BuildRequires:	intltool
BuildRequires:	libtool
BuildRequires:	texinfo
BuildRequires:	gettext-devel
%if %{with java}
BuildRequires:	java-rpmbuild
BuildRequires:	valgrind
%endif
%if %{with mono}
BuildRequires:	mono
%endif

%description
GNU Libidn is an implementation of the Stringprep, Punycode and
IDNA specifications defined by the IETF Internationalized Domain
Names (IDN) working group, used for internationalized domain
names.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Internationalized string processing library
Group:		System/Libraries

%description -n	%{libname}
GNU Libidn is an implementation of the Stringprep, Punycode and
IDNA specifications defined by the IETF Internationalized Domain
Names (IDN) working group, used for internationalized domain
names.

%files -n %{libname}
%{_libdir}/libidn.so.%{major}*
%{_infodir}/%{libname}.info*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for the %{libname} library
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	idn-devel = %{EVRD}
Obsoletes:	%{_lib}idn11-devel < 1.25

%description -n %{devname}
Development files for the %{libname} library.

%files -n %{devname} -f %{devname}.filelist
%doc doc/libidn.html TODO libc/example.c examples/README examples/Makefile.*
%{_libdir}/libidn.so
%{_includedir}/*.h
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man3/*

#----------------------------------------------------------------------------

%package -n idn
Summary:	Commandline interface to the %{libname} library
Group:		System/Servers

%description -n idn
This package provides the commandline interface to the
%{libname} library.

%files -n idn -f %{name}.lang
%doc ChangeLog FAQ README THANKS contrib
%{_bindir}/idn
%{_mandir}/man1/idn.1*
%{_datadir}/*emacs/site-lisp/*.el

#----------------------------------------------------------------------------

%if %{with java}
%package -n %{libname}-java
Summary:	Java support for the %{name}
Group:		Development/Java
Provides:	%{name}-java = %{EVRD}
Requires:	%{libname} = %{EVRD}

%description -n %{libname}-java
Java support for the %{name}.

%files -n %{libname}-java
%{_datadir}/java/*.jar
%endif

#----------------------------------------------------------------------------

%if %{with mono}
%package -n %{libname}-mono
Summary:	Mono support for the %{name}
Group:		Development/Other
Provides:	%{name}-mono = %{EVRD}
Requires:	%{libname} = %{EVRD}

%description -n %{libname}-mono
Mono support for the %{name}.

%files -n %{libname}-mono
%{_libdir}/*.dll
%endif

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1

# Name directory sections consistently in the info file, rhbz #209491
sed -i '/^INFO-DIR-SECTION/{s/GNU Libraries/Libraries/;s/GNU utilities/Utilities/;}' doc/libidn.info

iconv -f ISO-8859-1 -t UTF-8 doc/libidn.info > iconv.tmp
mv iconv.tmp doc/libidn.info

%build
autoreconf -fi

%configure2_5x \
%if %{with java}
	--enable-java \
	--enable-valgrind-tests \
%endif
%if %{with mono}
	--enable-csharp=mono \
%endif
	--disable-rpath \
	--disable-static

make

%install
%makeinstall_std

# fix "invalid-lc-messages-dir":
rm -rf %{buildroot}%{_datadir}/locale/en@*quot

# make a nice list for docs
find doc -type f | sed 's/^/%{doc} /' | \
    grep -v "Makefile*" | \
    grep -v "\.tex*" | \
    grep -v "\.info" | \
    grep -v "\.1" | \
    grep -v "\.3" | \
    grep -v "\.sgml" | \
    grep -v "\.xml" | \
    grep -v "gdoc" | \
    grep -v "mdate-sh" > %{libname}-devel.filelist

find examples -type f -name ".c" | sed 's/^/%{doc} /' >> %{devname}.filelist

#(tpg) really not needed... also got lzma'd :)

rm -rf %{buildroot}%{_infodir}/*.png*

# this fixes a file clash in a mixed arch env
mv %{buildroot}%{_infodir}/%{name}.info %{buildroot}%{_infodir}/%{libname}.info

%find_lang %{name}

%changelog

* Tue Aug 23 2016 Denis Silakov <dsilakov@gmail.com> 1.33-1
- (2911aa7) Updated to 1.33


